﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="LoginDBModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Person">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="int" Nullable="false" />
          <Property Name="UserName" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Email" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Password" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <EntityType Name="Roles">
          <Key>
            <PropertyRef Name="RoleID" />
          </Key>
          <Property Name="RoleID" Type="int" Nullable="false" />
          <Property Name="RoleName" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <EntityType Name="RoleUsers">
          <Key>
            <PropertyRef Name="RoleUserID" />
          </Key>
          <Property Name="RoleUserID" Type="int" Nullable="false" />
          <Property Name="RoleID" Type="int" Nullable="false" />
          <Property Name="UserID" Type="int" Nullable="false" />
        </EntityType>
        <Association Name="FK_RoleUsers_Roles">
          <End Role="Roles" Type="Self.Roles" Multiplicity="1" />
          <End Role="RoleUsers" Type="Self.RoleUsers" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Roles">
              <PropertyRef Name="RoleID" />
            </Principal>
            <Dependent Role="RoleUsers">
              <PropertyRef Name="RoleID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_RoleUsers_Users">
          <End Role="Person" Type="Self.Person" Multiplicity="1" />
          <End Role="RoleUsers" Type="Self.RoleUsers" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="RoleUsers">
              <PropertyRef Name="UserID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="LoginDBModelStoreContainer">
          <EntitySet Name="Person" EntityType="Self.Person" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Roles" EntityType="Self.Roles" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="RoleUsers" EntityType="Self.RoleUsers" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_RoleUsers_Roles" Association="Self.FK_RoleUsers_Roles">
            <End Role="Roles" EntitySet="Roles" />
            <End Role="RoleUsers" EntitySet="RoleUsers" />
          </AssociationSet>
          <AssociationSet Name="FK_RoleUsers_Users" Association="Self.FK_RoleUsers_Users">
            <End Role="Person" EntitySet="Person" />
            <End Role="RoleUsers" EntitySet="RoleUsers" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="LoginDBModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Person">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="Int32" Nullable="false" />
          <Property Name="UserName" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Email" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Password" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="RoleUsers" Relationship="Self.FK_RoleUsers_Users" FromRole="Person" ToRole="RoleUsers" />
        </EntityType>
        <EntityType Name="Role">
          <Key>
            <PropertyRef Name="RoleID" />
          </Key>
          <Property Name="RoleID" Type="Int32" Nullable="false" />
          <Property Name="RoleName" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="RoleUsers" Relationship="Self.FK_RoleUsers_Roles" FromRole="Roles" ToRole="RoleUsers" />
        </EntityType>
        <EntityType Name="RoleUser">
          <Key>
            <PropertyRef Name="RoleUserID" />
          </Key>
          <Property Name="RoleUserID" Type="Int32" Nullable="false" />
          <Property Name="RoleID" Type="Int32" Nullable="false" />
          <Property Name="UserID" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Person" Relationship="Self.FK_RoleUsers_Users" FromRole="RoleUsers" ToRole="Person" />
          <NavigationProperty Name="Role" Relationship="Self.FK_RoleUsers_Roles" FromRole="RoleUsers" ToRole="Roles" />
        </EntityType>
        <Association Name="FK_RoleUsers_Users">
          <End Role="Person" Type="Self.Person" Multiplicity="1" />
          <End Role="RoleUsers" Type="Self.RoleUser" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="RoleUsers">
              <PropertyRef Name="UserID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_RoleUsers_Roles">
          <End Role="Roles" Type="Self.Role" Multiplicity="1" />
          <End Role="RoleUsers" Type="Self.RoleUser" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Roles">
              <PropertyRef Name="RoleID" />
            </Principal>
            <Dependent Role="RoleUsers">
              <PropertyRef Name="RoleID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="LoginDBEntities1" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="People" EntityType="Self.Person" />
          <EntitySet Name="Roles" EntityType="Self.Role" />
          <EntitySet Name="RoleUsers" EntityType="Self.RoleUser" />
          <AssociationSet Name="FK_RoleUsers_Users" Association="Self.FK_RoleUsers_Users">
            <End Role="Person" EntitySet="People" />
            <End Role="RoleUsers" EntitySet="RoleUsers" />
          </AssociationSet>
          <AssociationSet Name="FK_RoleUsers_Roles" Association="Self.FK_RoleUsers_Roles">
            <End Role="Roles" EntitySet="Roles" />
            <End Role="RoleUsers" EntitySet="RoleUsers" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="LoginDBModelStoreContainer" CdmEntityContainer="LoginDBEntities1">
          <EntitySetMapping Name="People">
            <EntityTypeMapping TypeName="LoginDBModel.Person">
              <MappingFragment StoreEntitySet="Person">
                <ScalarProperty Name="UserID" ColumnName="UserID" />
                <ScalarProperty Name="UserName" ColumnName="UserName" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Password" ColumnName="Password" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Roles">
            <EntityTypeMapping TypeName="LoginDBModel.Role">
              <MappingFragment StoreEntitySet="Roles">
                <ScalarProperty Name="RoleID" ColumnName="RoleID" />
                <ScalarProperty Name="RoleName" ColumnName="RoleName" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="RoleUsers">
            <EntityTypeMapping TypeName="LoginDBModel.RoleUser">
              <MappingFragment StoreEntitySet="RoleUsers">
                <ScalarProperty Name="RoleUserID" ColumnName="RoleUserID" />
                <ScalarProperty Name="RoleID" ColumnName="RoleID" />
                <ScalarProperty Name="UserID" ColumnName="UserID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>